# FOCHAIN-AICG

一个基于Stable Diffusion的AI图像生成Web应用，使用Quasar Framework和Vue 3构建。

## 技术栈

- 前端框架: Vue 3 + Quasar Framework
- UI组件库: Naive UI
- 状态管理: Vue Router
- 国际化: Vue I18n
- HTTP客户端: Axios
- 动画效果: animate.css + @formkit/auto-animate
- 构建工具: Vite

## 功能特点

- AI图像生成
- 用户认证系统
- 历史记录管理
- 个人中心
- 反馈系统
- 多语言支持
- 响应式设计

## 安装说明

确保你的环境满足以下要求：
- Node.js: ^20 || ^18 || ^16
- npm: >= 6.13.4
- yarn: >= 1.21.1

1. 克隆项目
```bash
git clone [项目地址]
```

2. 安装依赖
```bash
npm install
# 或
yarn install
```

3. 启动开发服务器
```bash
npm run dev
# 或
yarn dev
```

4. 构建生产版本
```bash
npm run build
# 或
yarn build
```

## 项目结构

```
src/
├── api/          # API接口
├── assets/       # 静态资源
├── boot/         # 启动配置
├── components/   # 通用组件
├── css/          # 样式文件
├── i18n/         # 国际化配置
├── layouts/      # 布局组件
├── pages/        # 页面组件
├── router/       # 路由配置
└── utils/        # 工具函数
```

## 主要功能页面

- `/login` - 用户登录
- `/aicg` - AI图像生成
- `/create` - 创建新图像
- `/history` - 历史记录
- `/mine` - 个人中心
- `/feedback` - 反馈系统

